>> MIB - Management Information Base
>> Table: mpsClassOfServiceTable - (.1.3.6.1.4.1.272.4.53.6.13.1)
Description: This table contains the class of service settings.
mpsClassOfServiceTable
OID | Name | Type | Access
.1 | Index | CoSIndex | RW
.2 | Description | DisplayString | RW
.3 | DialAuthorisation | ENUM | RW
.4 | Facilities | BITS | RW
.5 | PickupGroup | PickupGroup | RW
.6 | FeatureGroup | FeatureGroup | RW
.7 | PhonebookAccess | ENUM | RW
.8 | MusicOnHold | ENUM | RW
.9 | AdminStatus | ENUM | D
.10 | TrunkBundleAccess | BitValue | RW
.11 | MOHFileDirectory | DisplayString | RW
.12 | MOHDefaultVariant | INTEGER | RW
.13 | TrunkCallDisplay | ENUM | RW
.14 | SwitchContacts | BitValue | RW
Index
A unique value for each class of service. Range: 1 to 65535
Description
This variable contains the name of the class of service. Length: 0 to 20
DialAuthorisation
Dialing privileges for a extension specifies what type of calls (internal, external, etc. ) this extension can place. Default is international. 'unknown' = no dialling allowed. Enumerations: unknown (1) international (2) incoming (3) national (4) region (5) internal (6) onlyDoorIntercom (7) local (8)
Facilities
Special facilities of the class of service. auto-trunk-req : This setting defines whether automatic access to an outside line is to be configured. man-trunk-group-req: This setting defines whether manuell access via bundle to an outside line is allowed. route-barring: If you have configured the dialing filter (consisting of an inhibit and release filter) in the PBX system you can use these settings to define whether the selected subscriber is subject to the constraints/ privileges imposed/offered by the dialing filter. ars: Use ars (automatic route selection). suppress-A-Addr: Suppress outgoing CLIP information (CLIR). suppress-B-Addr: This value determine if Suppress number of called party (COLR) is enabled or not. specific-pickup : Allow specific pickup. call-waiting : Call waiting signal for analog terminals. ISDN terminal devices use their own special procedures for this. toggle-variant: Allow toggling of variant. silent-phone-intern: Enables a silent phone for incoming internal calls. silent-phone-extern: Enables a silent phone for incoming external calls. call-through: Allow call through. extern-diversion: You can use this setting to define whether external call forwarding for the internal subscriber is to be executed within the PBX system or at the exchange. room-supervision: Allow roomsupervision. intercom: Allows intercom calls to the system telephone or to another identical ISDN telephone. announcement: Enables to receive announcement calls. sms: Authorizes an internal subscriber to receive SMS messages. msg-waiting: Message waiting indication on or off. uus1: Authorizes an internal subscriber to receive USS1 messages. keypad : Authorizes an internal subscriber to carry out KEYPAD functions. doorIntercom-access: Authorizes an internal subscriber to establish a connection with the door entry phone or open the door. tapi: Authorizes a subscriber to use the PBX's TAPI features. store-charge: Charge information for this subscriber will be recorded or not. transmit-charge-info: Charge information will be transmitted to the subscriber or not. use-global-rerouting: Consider global rerouting application. Enumerations: auto-trunk-req (0) man-trunk-group-req (1) route-barring (2) ars (3) suppress-A-Addr (5) suppress-B-Addr (6) specific-pickup (7) call-waiting (8) toggle-variant (9) silent-phone-intern (10) silent-phone-extern (11) call-through (12) room-supervision (14) intercom (15) announcement (16) msg-waiting (18) uus1 (19) keypad (20) doorIntercom-access (21) tapi (22) store-charge (23) transmit-charge-info (24) use-global-rerouting (25)
PickupGroup
This variable contains the pickup group. Only extension with the same pickup group can pickup a call from another extension. Range: 0 to 99
FeatureGroup
This variable contains the feature group. Range: 0 to 99
PhonebookAccess
Phonebook access to the global PBX phonebook. dial-authorisation: Access the global phonebook to restrictions resulting from entries in the mpsBlacklistNumberTable. without_restrictions: Phonebook access without any restrictions. no: No access to the global phonebook. Enumerations: dial-authorisation (1) without-restrictions (2) no (3)
MusicOnHold
This variable contains the file/tone the remote is provided with, when call is held. Possible values are: file: variable mpsCoSMOHFileDirectory specifies directory to contain sound file default: variable mpsCoSMOHDefaultVariant specifies the variant whose default is to be used external: external source is used off: no music on hold active (default) Enumerations: file (54) default (55) external (80) off (100)
AdminStatus
Just for MIB entry deletion. Enumerations: enable (1) delete (2)
TrunkBundleAccess
This variable contains a bit field that allows to selectively enable/disable manual trunk group selection. Range: 0 to -1
MOHFileDirectory
Name of directory (on flash medium) which contains file to be used for music on hold. This variable references the entry in mpsWaveFile table where variable mpsWaveFileDirectory has identical content. If there should be multiple entrys with the same content for some reason an arbitrary entry is chosen. This entry is only valid if variable mpsCoSMusicOnHold is set to value file. Default value is the empty string. Length: 0 to 255
MOHDefaultVariant
This variable specifies the chosen default variant if variable mpsCoSMusicOnHold is set to value default. Default value for that variable is 1. Range: 1 to 2
TrunkCallDisplay
Defines how an external trunk call shall be displayed on Systemphones: trunk-and-number-name(1): Show descriptions of mpsTrunkGroupTable and mpsTrunkNumberTable. trunk-name-only(2): Show only description of mpsTrunkGroupTable. number-name-only(3): Show only description of mpsTrunkNumberTable. no-name(4): Show nothing. Enumerations: trunk-and-number-name (1) trunk-name-only (2) number-name-only (3) no-name (4)
SwitchContacts
Defines which relay contact(s) may be switched by telephone (access) dial codes. The bit position corresponds to the SwitchingContactIndex. Range: 0 to -1

MIB Reference to Software Version 10.2.12 generated on 2023/08/29. Provided by webmaster@bintec-elmeg.com Copyright ©2023 by bintec elmeg GmbH